import { Injectable } from '@angular/core';
import { Subject } from 'rxjs/Subject';
import {Observable} from 'rxjs/Observable';

export interface IEventData {
  type: string;
  data: any;
}

@Injectable()
export class WizardEventService {
  private notify = new Subject<any>();
  public notifyObservable$: Observable<any> = this.notify.asObservable();
  public notifyOther(event: IEventData) {
      this.notify.next(event);
  }
}
